Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.IOP
Interface CodecOperations

All Known Subinterfaces:
  Codec

public interface CodecOperations

Interface definition : Codec

Author:
  OpenORB Compiler

Method Summary
`Any` | `decode_value(byte[] data, TypeCode tc)` Operation decode_value
`Any` | `decode(byte[] data)` Operation decode
`byte[]` | `encode_value(Any data)` Operation encode_value
`byte[]` | `encode(Any data)` Operation encode

Method Detail

### encode

    public byte[] encode(Any data)
                  throws InvalidTypeForEncoding

  Operation encode

### decode

    public Any decode(byte[] data)
               throws FormatMismatch

  Operation decode

### encode_value

    public byte[] encode_value(Any data)
                        throws InvalidTypeForEncoding

  Operation encode_value

### decode_value

    public Any decode_value(byte[] data,
                            TypeCode tc)
                     throws FormatMismatch,
                            TypeMismatch

  Operation decode_value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD